import React, { ReactNode } from 'react';
import { CustomViewOption } from 'vscode/service-override/views';
interface CustomView extends Omit<CustomViewOption, 'renderBody' | 'location' | 'actions'> {
    node: ReactNode;
    actions?: (Omit<NonNullable<CustomViewOption['actions']>[0], 'render'> & {
        node?: ReactNode;
    })[];
}
interface VscodePartRendererProps {
    views?: CustomView[];
    className?: string;
    style?: React.CSSProperties;
}
export declare const SidebarPart: ({ views, className, style }: VscodePartRendererProps) => React.JSX.Element;
export declare const ActivitybarPart: ({ views, className, style }: VscodePartRendererProps) => React.JSX.Element;
export declare const EditorPart: ({ views, className, style }: VscodePartRendererProps) => React.JSX.Element;
export declare const StatusBarPart: ({ views, className, style }: VscodePartRendererProps) => React.JSX.Element;
export declare const PanelPart: ({ views, className, style }: VscodePartRendererProps) => React.JSX.Element;
export type { CustomView };
